Next: RANK, Previous: RANDOM_SEED, Up: Intrinsic Procedures [Contents][Index]

### 9.227 `RANGE` — Decimal exponent range

Description:

  `RANGE(X)` returns the decimal exponent range in the model of the type of `X`.

Standard:

  Fortran 90 and later

Class:

  Inquiry function

Syntax:

  `RESULT = RANGE(X)`

Arguments:

  X | Shall be of type `INTEGER`, `REAL` or `COMPLEX`.

Return value:

  The return value is of type `INTEGER` and of the default integer kind.

Example:

  See `PRECISION` for an example.

See also:

  SELECTED_REAL_KIND, PRECISION